BasePluginConvention (Gradle API 8.14.3)
Description: declaration: package: org.gradle.api.plugins, class: BasePluginConvention

Package org.gradle.api.plugins

# Class BasePluginConvention

java.lang.Object
org.gradle.api.plugins.BasePluginConvention

@Deprecated public abstract class BasePluginConvention extends Object
Deprecated.
Use `BasePluginExtension` instead. This class is scheduled for removal in Gradle 9.0.

A `Convention` used for the BasePlugin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasePluginConvention()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getArchivesBaseName()`
  Deprecated.
  The base name to use for archive files.
  `abstract DirectoryProperty`
  `getDistsDirectory()`
  Deprecated.
  Returns the directory to generate TAR and ZIP archives into.
  `abstract String`
  `getDistsDirName()`
  Deprecated.
  The name for the distributions directory.
  `abstract DirectoryProperty`
  `getLibsDirectory()`
  Deprecated.
  Returns the directory to generate JAR and WAR archives into.
  `abstract String`
  `getLibsDirName()`
  Deprecated.
  The name for the libs directory.
  `abstract void`
  `setArchivesBaseName(String archivesBaseName)`
  Deprecated.
  `abstract void`
  `setDistsDirName(String distsDirName)`
  Deprecated.
  `abstract void`
  `setLibsDirName(String libsDirName)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasePluginConvention

    public BasePluginConvention()
    Deprecated.

- ## Method Details

  - ### getDistsDirectory

    public abstract DirectoryProperty getDistsDirectory()
    Deprecated.
    Returns the directory to generate TAR and ZIP archives into.
    Returns:
      The directory. Never returns null.
    Since:
      6.0

  - ### getLibsDirectory

    public abstract DirectoryProperty getLibsDirectory()
    Deprecated.
    Returns the directory to generate JAR and WAR archives into.
    Returns:
      The directory. Never returns null.
    Since:
      6.0

  - ### getDistsDirName

    public abstract String getDistsDirName()
    Deprecated.
    The name for the distributions directory. This in interpreted relative to the project' build directory.

  - ### setDistsDirName

    public abstract void setDistsDirName(String distsDirName)
    Deprecated.

  - ### getLibsDirName

    public abstract String getLibsDirName()
    Deprecated.
    The name for the libs directory. This in interpreted relative to the project' build directory.

  - ### setLibsDirName

    public abstract void setLibsDirName(String libsDirName)
    Deprecated.

  - ### getArchivesBaseName

    public abstract String getArchivesBaseName()
    Deprecated.
    The base name to use for archive files.

  - ### setArchivesBaseName

    public abstract void setArchivesBaseName(String archivesBaseName)
    Deprecated.